#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	vFile-asData
Summary:	Text::vFile::asData - parse vFile formatted files into data structures
Summary(pl.UTF-8):	Text::vFile::asData - przetwarzanie plików w formacie vFile na struktury danych
Name:		perl-Text-vFile-asData
Version:	0.08
Release:	1
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	39fad8c1ca12d44a1bde955f74b3d470
URL:		http://search.cpan.org/dist/Text-vFile-asData/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
%endif
Requires:	perl-Class-Accessor-Chained
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Text::vFile::asData reads vFile format files, such as
vCard (RFC 2426) and vCalendar (RFC 2445).

%description -l pl.UTF-8
Moduł Perla Text::vFile::asData odczytuje pliki w formacie vFile,
takie jak vCard (RFC 2426) i vCalendar (RFC 2445).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes 
%dir %{perl_vendorlib}/Text/vFile
%{perl_vendorlib}/Text/vFile/asData.pm
%dir %{_examplesdir}/%{name}-%{version}
%dir %{_examplesdir}/%{name}-%{version}/Text-vCard
%{_examplesdir}/%{name}-%{version}/Text-vCard/*
%{_examplesdir}/%{name}-%{version}/Text-vFile
%{_examplesdir}/%{name}-%{version}/rfc2445-objects
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-vFile-asData.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2281064
- up to 0.08

* Fri Jul 01 2011 marti <marti@pld-linux.org> 7ea0d86
- up to 0.07

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 212ab1b
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 93d6be6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a40258f
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 1c4195a
- rel. 1

* Mon Jul 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 2414f04
- pl, cleanup

* Sat Jul 22 2006 Maciej Pijanka <agaran@pld-linux.org> 6d4768e
- initial, builds here ver 0.05, rel 0.1

